alan buckley, on 9 Jan, wrote:

> I’ve just seen something in the ROOL forums implying that the SharedULib
> needs updating for the Raspberry Pi 3. Is this correct? I thought that
> programs needed recompiling, but the SharedULib module was OK.

Hmm!! I thought that about the SharedULib module too, but others would seem
to be saying otherwise.

> What is the current status of GCCSDK for the Raspberry Pi 3?

I have a locally built !GCC from June 2006 that is RPi3 compatible, it being
built after the SWP fix was checked in. The build also generated an updated
!SharedLibs which is definitely required and a SharedUlib which might not
be.

> Is it worth creating a new RISC OS version of !GCC so it can be used by
> Raspberry Pi 3 users? Or is there more to do?

I have not used !GCC extensively but as far as I am aware the build that I
have is good on the RPi3.

The problem on the RPi3 is more extensive than just !GCC, !PDF is another
casualty. Again I have a local RPi3 good build.

All of this was discussed at the time on the ROOL forum.

-- 
David Pitt

_______________________________________________
GCCSDK mailing list gcc@gccsdk.riscos.info
Bugzilla: http://www.riscos.info/bugzilla/index.cgi
List Info: http://www.riscos.info/mailman/listinfo/gcc
Main Page: http://www.riscos.info/index.php/GCCSDK

Reply via email to